Name:                glassfish-jax-rs-api
Version:             2.1.5
Release:             1
Summary:             JAX-RS API Specification (JSR 339)
License:             EPL-2.0 or GPLv2 with exceptions
URL:                 https://github.com/eclipse-ee4j/jaxrs-api
Source0:             https://github.com/eclipse-ee4j/jaxrs-api/archive/%{version}/glassfish-jax-rs-api-%{version}.tar.gz
BuildRequires:       maven-local mvn(junit:junit) mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:       mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:       mvn(org.glassfish.build:spec-version-maven-plugin)
BuildRequires:       mvn(org.mockito:mockito-core)
BuildArch:           noarch
%description
JAX-RS Java API for RESTful Web Services (JSR 339).

%package help
Summary:             Javadoc for glassfish-jax-rs-api
Provides:            glassfish-jax-rs-api-javadoc = %{version}-%{release}
Obsoletes:           glassfish-jax-rs-api-javadoc < %{version}-%{release}
%description help
This package contains API documentation for glassfish-jax-rs-api.

%prep
%setup -q -n jaxrs-api-%{version}
find . -name '*.jar' -delete
find . -name '*.class' -delete
%pom_remove_plugin org.apache.maven.plugins:maven-jxr-plugin jaxrs-api
%pom_remove_plugin org.apache.maven.plugins:maven-checkstyle-plugin jaxrs-api
%pom_remove_plugin org.codehaus.mojo:buildnumber-maven-plugin jaxrs-api
%pom_remove_plugin org.apache.maven.plugins:maven-source-plugin jaxrs-api
%pom_remove_plugin org.apache.maven.plugins:maven-deploy-plugin jaxrs-api
%pom_xpath_remove "pom:build/pom:finalName" jaxrs-api
%pom_xpath_remove "pom:plugin[pom:artifactId = 'maven-javadoc-plugin' ]/pom:executions" jaxrs-api

%build
(
cd jaxrs-api
%mvn_file :{*} @1 glassfish-jax-rs-api
%mvn_alias : javax.ws.rs:javax.ws.rs-api
%mvn_build
)

%install
(
cd jaxrs-api
%mvn_install
)

%files -f jaxrs-api/.mfiles
%license LICENSE.md NOTICE.md
%doc README.md CONTRIBUTING.md

%files help -f jaxrs-api/.mfiles-javadoc
%license LICENSE.md NOTICE.md

%changelog
* Mon Aug 24 2020 yaokai <yaokai13@huawei.com> - 2.1.5-1
- package init
